apache2-mod_authn_otp-1.1.8-1.6.i586.rpm


Advertisement

Description

apache2-mod_authn_otp - Apache module for one-time password authentication

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename apache2-mod_authn_otp-1.1.8-1.6.i586.rpm
Package name apache2-mod_authn_otp
Package version 1.1.8
Package release 1.6
Package architecture i586
Package type rpm
Category Productivity/Networking/Web/Servers
Homepage http://mod-authn-otp.googlecode.com/
License Apache-2.0
Maintainer -
Download size 33.37 KB
Installed size 66.66 KB
mod_authn_otp is an Apache web server module for two-factor authentication
using one-time passwords (OTP) generated via the HOTP/OATH algorithm
defined in RFC 4226. This creates a simple way to protect a web site with
one-time passwords, using any RFC 4226-compliant hardware or software
token device. mod_authn_otp also supports the Mobile-OTP algorithm.
mod_authn_otp supports both event and time based one-time passwords. It
also supports "lingering" which allows the repeated re-use of a previously
used one-time password up to a configurable maximum linger time. This
allows one-time passwords to be used directly in HTTP authentication
without forcing the user to enter a new one-time password for every
page load.
mod_authn_otp supports both basic and digest authentication, and will
auto-synchronize with the user's token within a configurable maximum
offset (auto-synchronization is not supported with digest authentication).
mod_authn_otp is especially useful for setting up protected web sites
that require more security than simple username/password authentication
yet also don't require users to install special VPN software, and is
compatible with software tokens that run on cell phones.
Also included is otptool, a one-time password command line utility.
otptool can be used on a simple call-out basis to integrate two-factor
authentication into any existing authentication solution.

Alternatives

Package Version Architecture Repository
apache2-mod_authn_otp-1.1.8-23.43.x86_64.rpm 1.1.8 x86_64 Apache Modules
apache2-mod_authn_otp-1.1.8-1.6.x86_64.rpm 1.1.8 x86_64 openSUSE Oss
apache2-mod_authn_otp - - -

Requires

Name Value
apache_mmn_20120211 -
libc.so.6(GLIBC_2.4) -
libcrypto.so.1.1 -
libcrypto.so.1.1(OPENSSL_1_1_0) -
suse_maintenance_mmn_0 -

Provides

Name Value
apache2-mod_authn_otp = 1.1.8-1.6
apache2-mod_authn_otp(x86-32) = 1.1.8-1.6
otptool = 1.1.8

Download

Type URL
Mirror widehat.opensuse.org
Binary Package apache2-mod_authn_otp-1.1.8-1.6.i586.rpm
Source Package apache2-mod_authn_otp-1.1.8-1.6.src.rpm

Install Howto

Install apache2-mod_authn_otp rpm package:

# zypper install apache2-mod_authn_otp

Files

Path
/usr/bin/otptool
/usr/lib/apache2/mod_authn_otp.so
/usr/share/doc/packages/apache2-mod_authn_otp/CHANGES
/usr/share/doc/packages/apache2-mod_authn_otp/LICENSE
/usr/share/doc/packages/apache2-mod_authn_otp/README
/usr/share/doc/packages/apache2-mod_authn_otp/users.sample
/usr/share/man/man1/otptool.1.gz

Changelog

2017-10-30 - archie.cobbs@gmail.com
- Update to version 1.1.8
+ Added PINFakeBasicAuth configuration option
2015-12-11 - pgajdos@suse.com
- %{apache_branch} converted to number
2015-10-04 - pgajdos@suse.com
- %check for apache 2.2 again
2015-10-01 - pgajdos@suse.com
- do not %check for apache 2.2
2015-09-25 - pgajdos@suse.com
- test module with %apache_test_module_curl
2015-07-16 - pgajdos@suse.com
- Requries: %{apache_suse_maintenance_mmn}
This will pull this module to the update (in released distribution)
when apache maintainer thinks it is good (due api/abi changes).
2014-10-31 - pgajdos@suse.com
- call spec-cleaner
- use apache rpm macros
2014-05-28 - tchvatal@suse.com
- Fix source download url.
2014-05-17 - archie@dellroad.org
- Update to version 1.1.7
+ Fixed bug where users file could get deleted when using Apache worker MPM (issue #22)
+ Added "OTPAuthFallThrough" to allow fall through to other auth providers (issue #23)
+ Allow "logout" by sending empty password (issue #24)
+ Count PINs against OTPAuthMaxOTPFailure even when they have the wrong length
2013-04-03 - archie@dellroad.org
- Update to version 1.1.6
+ Detect errors when writing to the new users.txt file
+ Fix (harmless) bug where new users.txt file was not being closed
- Use correct license string in spec file
- Add copyright notice to spec file

See Also

Package Description
apache2-mod_dnssd-0.6-28.5.i586.rpm Apache2 module for Zeroconf support via DNS-SD
apache2-mod_dnssd-0.6-28.5.x86_64.rpm Apache2 module for Zeroconf support via DNS-SD
apache2-mod_encoding-0.0.20021209-1.8.i586.rpm Non-ASCII filename interoperability module for the Apache web server
apache2-mod_encoding-0.0.20021209-1.8.x86_64.rpm Non-ASCII filename interoperability module for the Apache web server
apache2-mod_evasive-1.10.1-14.13.i586.rpm Denial of Service evasion module for Apache
apache2-mod_evasive-1.10.1-14.13.x86_64.rpm Denial of Service evasion module for Apache
apache2-mod_fcgid-2.3.9-9.8.i586.rpm Alternative FastCGI module for Apache2
apache2-mod_fcgid-2.3.9-9.8.x86_64.rpm Alternative FastCGI module for Apache2
apache2-mod_jk-1.2.46-1.2.i586.rpm Connectors between Apache and Tomcat Servlet Container
apache2-mod_jk-1.2.46-1.2.x86_64.rpm Connectors between Apache and Tomcat Servlet Container
apache2-mod_maxminddb-1.1.0-1.6.i586.rpm MaxMind DB Apache Module
apache2-mod_maxminddb-1.1.0-1.6.x86_64.rpm MaxMind DB Apache Module
apache2-mod_mono-3.12-1.13.i586.rpm Run ASP.NET Pages on Unix with Apache and Mono
apache2-mod_mono-3.12-1.13.x86_64.rpm Run ASP.NET Pages on Unix with Apache and Mono
apache2-mod_nss-1.0.18-1.2.i586.rpm SSL/TLS module for the Apache HTTP server
Advertisement
Advertisement